BackendHTTP APISyncs
Override sync connection frequency
Requires an API key with the environment:syncs:update scope. Learn more about API key scopes.
PUT
Override a sync's default frequency for a specific connection, or revert to the default frequency.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
application/json- body
provider_config_key*stringThe ID of the integration you established within Tenklo
connection_id*stringThe ID of the connection
sync_name*stringThe name of the sync you want to update
sync_variant?stringThe variant of the sync you want to update
frequency*|The frequency you want to set (ex: 'every hour'). Set null to revert to the default frequency. Uses the https://github.com/vercel/ms notations. Min frequency: 30 seconds.
Successfully updated the frequency
application/json- response
frequency?stringThe updated frequency value
curl -X PUT 'https://api.tenklo.dev/sync/update-connection-frequency' \ -H 'Content-Type: application/json' \ -d '{ "provider_config_key": "string", "connection_id": "string", "sync_name": "string", "frequency": "string"}'Example Response
{ "frequency": "string"}